Skip to main content
`Ctrl`+`K`

# numpy.swapaxes

numpy.swapaxes(a, axis1, axis2)

  Interchange two axes of an array.

  Parameters:
    a array_like

      Input array.

    axis1 int

      First axis.

    axis2 int

      Second axis.

  Returns:
    a_swapped ndarray

      For NumPy >= 1.10.0, if a is an ndarray, then a view of a is returned; otherwise a new array is created. For earlier NumPy versions a view of a is returned only if the order of the axes is changed, otherwise the input array is returned.

  Examples

      >>> import numpy as np
      >>> x = np.array([[1,2,3]])
      >>> np.swapaxes(x,0,1)
      array([[1],
             [2],
             [3]])

      >>> x = np.array([[[0,1],[2,3]],[[4,5],[6,7]]])
      >>> x
      array([[[0, 1],
              [2, 3]],
             [[4, 5],
              [6, 7]]])

      >>> np.swapaxes(x,0,2)
      array([[[0, 4],
              [2, 6]],
             [[1, 5],
              [3, 7]]])